#
# spec file for package mcstrans
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mcstrans
Version:        0.3.3
Release:        lp150.1.5
Url:            http://pkgs.fedoraproject.org/cgit/rpms/mcstrans.git
Summary:        SELinux Translation Daemon
License:        GPL-2.0+
Group:          System/Management
Source:         %{name}-%{version}.tgz
Source1:        mcstransd.service
Patch0:         %{name}-%{version}-writepid.patch
Patch1:         add_includes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       aaa_base
BuildRequires:  aaa_base
BuildRequires:  libcap-devel
BuildRequires:  libselinux-devel >= 1.30.3
BuildRequires:  libsepol-devel-static
BuildRequires:  pcre-devel
BuildRequires:  systemd
%{?systemd_requires}
Provides:       setransd

%description
Security-enhanced Linux is a feature of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

mcstrans provides an translation daemon to translate SELinux categories 
from internal representations to user defined representation.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
make LIBDIR="%{_libdir}" %{?jobs:-j%jobs}

%install
mkdir -p $RPM_BUILD_ROOT/%{_lib}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
mkdir -p $RPM_BUILD_ROOT/%{_unitdir}
make DESTDIR="$RPM_BUILD_ROOT" LIBDIR="$RPM_BUILD_ROOT%{_libdir}" SHLIBDIR="$RPM_BUILD_ROOT/%{_lib}" install
rm -f $RPM_BUILD_ROOT%{_sbindir}/*
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm $RPM_BUILD_ROOT/etc/rc.d/init.d/mcstrans 
install -D -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/
rm -rf $RPM_BUILD_ROOT/etc/rc.d
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
ln -sf %{_sbindir}/service $RPM_BUILD_ROOT%{_sbindir}/rcmcstransd

%post
%service_add_post mcstransd.service

%preun
%service_del_preun mcstransd.service

%postun
%service_del_postun mcstransd.service

%pre
%service_add_pre mcstransd.service

%files
%defattr(-,root,root)
%{_unitdir}/mcstransd.service
/sbin/mcstransd
/usr/sbin/rcmcstransd
%{_mandir}/man8/mcs.8*
%{_mandir}/man8/mcstransd.8*
%{_mandir}/man8/setrans.conf.8*

%changelog
* Tue Sep  5 2017 jsegitz@suse.com
- Added add_includes.patch to add additional includes and fix
  Factory build
* Wed Jun 17 2015 jsegitz@novell.com
- fixed wrong label in /run preventing startup
* Mon Sep  8 2014 jsegitz@suse.com
- altered package to use systemd. Removed
  mcstrans-0.3.3-initscript.patch since it's no longer necessary
- added mcstrans-0.3.3-writepid.patch to write pid files to the
  correct location
* Mon Dec 10 2012 meissner@suse.com
- provide setransd, like in redhat (covered by mcstrans these days)
* Tue Aug  7 2012 meissner@suse.com
- updated to 0.3.3 , tarball taken from redhat source rpm.
* Thu Apr  5 2012 dvaleev@suse.com
- add LIBDIR, so ppc and ppc64 can build
* Mon Mar 26 2012 vcizek@suse.com
- removed use of /var/lock/subsys in init script [bnc#714633]
* Mon May  3 2010 prusnak@suse.cz
- create /var/run/setrans directory in initscript [Feature#303793]
* Thu Jul 16 2009 prusnak@suse.cz
- remove check and rename from %%post section (not needed)
* Tue Jun 23 2009 prusnak@suse.cz
- require libsepol-devel-static
* Wed May 27 2009 prusnak@suse.cz
- updated to 0.3.1
  * Add inverse bit support
  * Add color support from Eamon Walsh
* Thu Oct 16 2008 prusnak@suse.cz
- created package (version 0.2.11)
